%define		_state		stable
%define		orgname		cantor

Summary:	K Desktop Environment - Frontend to Mathematical Software
Name:		kde4-cantor
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	513fffda0572c6bbfcbf26fcc587293c
URL:		http://www.kde.org/
BuildRequires:	R
BuildRequires:	kde4-analitza-devel
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	libqalculate-devel
BuildRequires:	libspectre-devel
BuildRequires:	QtXmlPatterns-devel
Obsoletes:	kde4-kdeedu-cantor < 4.6.99
Obsoletes:	cantor < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
a front-end to powerful mathematics and statistics packages. Cantor
integrates them into the KDE Platform and provides a nice,
worksheet-based, graphical user interface.

%package devel
Summary:	cantor development files
Summary(pl.UTF-8):	Pliki dla programistów cantor
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	cantor-devel < 4.8.0

%description devel
cantor development files.

%description devel -l pl.UTF-8
Pliki dla programistów cantor.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cantor
%attr(755,root,root) %{_bindir}/cantor_rserver
%attr(755,root,root) %{_libdir}/kde4/cantor_qalculatebackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_qalculateplotassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_scilabbackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_creatematrixassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_differentiateassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_eigenvaluesassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_eigenvectorsassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_importpackageassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_integrateassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_invertmatrixassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_kalgebrabackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_maximabackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_nullbackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_plot2dassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_plot3dassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_python2backend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_rbackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_runscriptassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_sagebackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_solveassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_advancedplotassistant.so
%attr(755,root,root) %{_libdir}/kde4/cantor_helppanelplugin.so
%attr(755,root,root) %{_libdir}/kde4/cantor_octavebackend.so
%attr(755,root,root) %{_libdir}/kde4/cantor_variablemanagerplugin.so
%attr(755,root,root) %{_libdir}/kde4/libcantorpart.so
%attr(755,root,root) %{_libdir}/libcantorlibs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcantorlibs.so.?
%attr(755,root,root) %{_libdir}/libcantor_config.so
%{_desktopdir}/kde4/cantor.desktop
%{_datadir}/appdata/cantor.appdata.xml
%{_datadir}/apps/cantor
%{_datadir}/config.kcfg/cantor.kcfg
%{_datadir}/config.kcfg/cantor_libs.kcfg
%{_datadir}/config.kcfg/kalgebrabackend.kcfg
%{_datadir}/config.kcfg/maximabackend.kcfg
%{_datadir}/config.kcfg/python2backend.kcfg
%{_datadir}/config.kcfg/qalculatebackend.kcfg
%{_datadir}/config.kcfg/sagebackend.kcfg
%{_datadir}/config.kcfg/scilabbackend.kcfg
%{_datadir}/config.kcfg/rserver.kcfg
%{_datadir}/config/cantor*.knsrc
%{_iconsdir}/hicolor/16x16/apps/cantor.png
%{_iconsdir}/hicolor/32x32/apps/cantor.png
%{_iconsdir}/hicolor/48x48/apps/cantor.png
%{_iconsdir}/hicolor/48x48/apps/maximabackend.png
%{_iconsdir}/hicolor/48x48/apps/pythonbackend.png
%{_iconsdir}/hicolor/48x48/apps/qalculatebackend.png
%{_iconsdir}/hicolor/48x48/apps/rbackend.png
%{_iconsdir}/hicolor/48x48/apps/sagebackend.png
%{_iconsdir}/hicolor/48x48/apps/scilabbackend.png
%{_iconsdir}/hicolor/*x*/apps/octavebackend.png
%dir %{_datadir}/kde4/services/cantor
%{_datadir}/kde4/services/cantor/cantor_part.desktop
%{_datadir}/kde4/services/cantor/creatematrixassistant.desktop
%{_datadir}/kde4/services/cantor/differentiateassistant.desktop
%{_datadir}/kde4/services/cantor/eigenvaluesassistant.desktop
%{_datadir}/kde4/services/cantor/eigenvectorsassistant.desktop
%{_datadir}/kde4/services/cantor/importpackageassistant.desktop
%{_datadir}/kde4/services/cantor/integrateassistant.desktop
%{_datadir}/kde4/services/cantor/invertmatrixassistant.desktop
%{_datadir}/kde4/services/cantor/kalgebrabackend.desktop
%{_datadir}/kde4/services/cantor/maximabackend.desktop
%{_datadir}/kde4/services/cantor/nullbackend.desktop
%{_datadir}/kde4/services/cantor/plot2dassistant.desktop
%{_datadir}/kde4/services/cantor/plot3dassistant.desktop
%{_datadir}/kde4/services/cantor/python2backend.desktop
%{_datadir}/kde4/services/cantor/qalculatebackend.desktop
%{_datadir}/kde4/services/cantor/qalculateplotassistant.desktop
%{_datadir}/kde4/services/cantor/rbackend.desktop
%{_datadir}/kde4/services/cantor/runscriptassistant.desktop
%{_datadir}/kde4/services/cantor/sagebackend.desktop
%{_datadir}/kde4/services/cantor/scilabbackend.desktop
%{_datadir}/kde4/services/cantor/solveassistant.desktop
%{_datadir}/kde4/servicetypes/cantor_assistant.desktop
%{_datadir}/kde4/servicetypes/cantor_backend.desktop
%{_datadir}/kde4/services/cantor/advancedplotassistant.desktop
%{_datadir}/kde4/services/cantor/helppanelplugin.desktop
%{_datadir}/kde4/services/cantor/octavebackend.desktop
%{_datadir}/kde4/services/cantor/variablemanagerplugin.desktop
%{_datadir}/kde4/servicetypes/cantor_panelplugin.desktop
%{_datadir}/config.kcfg/octavebackend.kcfg

%files devel
%defattr(644,root,root,755)
%{_includedir}/cantor
%attr(755,root,root) %{_libdir}/libcantorlibs.so
%changelog
* Fri Nov 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-cantor.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 7667a9f
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7839880
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 4322328
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f2657bb
- updated to 4.13.1 (by update-kde4.sh)

* Sat May 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a6157db
- up to 4.13.0
- package python2backend

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 56e5154
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 57be7b2
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a5093fe
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 87694e0
- updated to 4.12.1 (by update-kde4.sh)

* Mon Dec 23 2013 Witold Filipczyk <witekfl@poczta.onet.pl> b5762ef
- 4.12.0; python backend not packaged.

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> d52dad0
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> dfeeeac
- updated files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 92c7441
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 768857e
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> bd4deb8
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 2895927
- updated to 4.9.0, added missing BRs.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d787bf8
- rel 2; BR QtXmlPatterns-devel

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d3fe6af
- up to 4.8.0; now as kde4-cantor

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b43c06
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 12bc741
- rel 2

